#define WIN32_LEAN_AND_MEAN
// DLL zur Anbindung der Meilhaus-Karte ME2000 bzw. ME2600
// an das Oszilloskop-Programm
// Weil die Karte max. 300 kSa/s hat (ein Kanal), ist die
// Kanalzahl per Setup einstellbar, als Kompromiss!
// In Einstellung "DEBUG" ist der Compiler-Schalter "/GZ" zu entfernen!
#pragma comment(linker,"/ALIGN:4096 /DLL /NOD /RELEASE /EXPORT:_RelayMsg@8")

#include "wutils.h"
typedef enum{false,true} bool;
#include "quelle.h"

int _fastcall GetMeSample(LPSTR p, BYTE mask) {
 return 0;
}

bool _stdcall RelayMsg(Q_MSG Msg, LPARAM lParam) {
 switch (Msg) {
  case Q_INIT:
  case Q_GETSYSINFO: {
#define si ((LPSYSINFO)lParam)
   if (!si) return false;
   *(LPDWORD)si=MAKELONG(MAKEWORD(Q_SOFTTRIGGER|Q_CONTINUOUS|Q_ASYNC,8),
     MAKEWORD(2,2));
//   si->rateminmax[0]=si->rateminmax[1]=10000.0;
   si->depth=0;
   si->getsample=GetMeSample;
   si->blockalign=2;
#undef si
  }return true;
 }
 return false;
}


BOOL _stdcall _DllMainCRTStartup(
 HINSTANCE hinstDLL,
 DWORD fdwReason,
 LPVOID lpvReserved) {
 return TRUE;
}